rte_bbdev_op_dec_turbo_tb_params(3)

NAME
rte_bbdev_op_dec_turbo_tb_params

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint16_t k_neg
uint16_t k_pos
uint8_t c_neg
uint8_t c
uint8_t cab
uint32_t ea
uint32_t eb
uint8_t r

Detailed Description

Turbo decode transport block parameters

Definition at line 351 of file rte_bbdev_op.h.

Field Documentation

  uint16_t k_neg
The K- size of the input CB, in bits [40:6144], that is in the Turbo operation when r < C-, as in 3GPP TS 36.212.

Definition at line 355 of file rte_bbdev_op.h.

  uint16_t k_pos
The K+ size of the input CB, in bits [40:6144], that is in the Turbo operation when r >= C-, as in 3GPP TS 36.212.

Definition at line 359 of file rte_bbdev_op.h.

  uint8_t c_neg
The number of CBs that have K- size, [0:63]

Definition at line 361 of file rte_bbdev_op.h.

  uint8_t c
The total number of CBs in the TB, [1:RTE_BBDEV_TURBO_MAX_CODE_BLOCKS]

Definition at line 365 of file rte_bbdev_op.h.

  uint8_t cab
The number of CBs that uses Ea before switching to Eb, [0:63]

Definition at line 367 of file rte_bbdev_op.h.

  uint32_t ea
The E size of the CB rate matched output to use in the Turbo operation when r < cab

Definition at line 371 of file rte_bbdev_op.h.

  uint32_t eb
The E size of the CB rate matched output to use in the Turbo operation when r >= cab

Definition at line 375 of file rte_bbdev_op.h.

  uint8_t r
The index of the first CB in the inbound mbuf data, default is 0

Definition at line 377 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.